Upgrade Ruby

software development

#1

Hey Folks,

I’m trying to set up a rails app I wrote in Ruby 2.1, but I found out my Shared Hosting only has Ruby 1.87.

While I guess I could re-write my app to use an older version of rails, I would much rather upgrade my Shared Hosting if possible- I just can’t find a way to do this. Can you-all point me in the right direction?


#2

In order for you to upgrade from ruby 1.8.7 to 2.1 you will have to get a vps (virtual private server) with dreamhost. They will not let you change ruby versions on a shared server because every time someone on that server changes something like ruby versions it will change it for everyone on that server. A cheaper alternative would be to get an account with DigitalOcean